List all advertisers home
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/all-advertisers-home \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/all-advertisers-home"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/all-advertisers-home', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"portfolio": {
"tracked": "<string>",
"managed": "<string>",
"waitingOnYou": 123,
"incomplete": true
},
"advertisers": [
{
"advertiserId": "<string>",
"name": "<string>",
"initials": "<string>",
"managed": "<string>",
"tracked": "<string>",
"campaignCount": 123,
"resumableDraft": true,
"brandColors": {},
"logoUrl": "<string>",
"logoTileColor": "<string>",
"attention": {
"flags": [
{
"label": "<string>",
"tone": "critical"
}
]
},
"nextAction": {
"label": "<string>"
},
"sandbox": true,
"system": true,
"lens": "house",
"operatorDisplayName": "<string>",
"accountSetupState": "needs_setup",
"accountSetupRelationshipId": "<string>",
"sponsoredBuyerCustomerId": "<string>",
"accountSetupBlockedReason": "<string>",
"buysCount": 4503599627370495,
"lastActivityAt": "2023-11-07T05:31:56Z"
}
],
"dsEnabled": true,
"currentAdvertiserId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
List all advertisers home
Pre-assembled data for the buyer “All Advertisers Landing” widget: advertiser rows (brand kit, campaign count, resumable-draft flag) plus a portfolio summary. Money rollups (managed/tracked) are always null pending AI-5642; attention/nextAction are omitted pending AI-5643.
GET
/
all-advertisers-home
List all advertisers home
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/all-advertisers-home \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/all-advertisers-home"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/all-advertisers-home', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"portfolio": {
"tracked": "<string>",
"managed": "<string>",
"waitingOnYou": 123,
"incomplete": true
},
"advertisers": [
{
"advertiserId": "<string>",
"name": "<string>",
"initials": "<string>",
"managed": "<string>",
"tracked": "<string>",
"campaignCount": 123,
"resumableDraft": true,
"brandColors": {},
"logoUrl": "<string>",
"logoTileColor": "<string>",
"attention": {
"flags": [
{
"label": "<string>",
"tone": "critical"
}
]
},
"nextAction": {
"label": "<string>"
},
"sandbox": true,
"system": true,
"lens": "house",
"operatorDisplayName": "<string>",
"accountSetupState": "needs_setup",
"accountSetupRelationshipId": "<string>",
"sponsoredBuyerCustomerId": "<string>",
"accountSetupBlockedReason": "<string>",
"buysCount": 4503599627370495,
"lastActivityAt": "2023-11-07T05:31:56Z"
}
],
"dsEnabled": true,
"currentAdvertiserId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}